org.apache.ignite.internal.client

## Enum GridClientCacheFlag

- java.lang.Object
- - java.lang.Enum<GridClientCacheFlag>
  - - org.apache.ignite.internal.client.GridClientCacheFlag

All Implemented Interfaces:
  Serializable, Comparable<GridClientCacheFlag>

    public enum GridClientCacheFlag
    extends Enum<GridClientCacheFlag>

Cache projection flags that specify projection behaviour.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INVALIDATE` Switches a cache projection to work in `'invalidation'` mode.
`KEEP_PORTABLES` Disable deserialization of portable objects on get operations.
`SKIP_STORE` Skips store, i.e. no read-through and no write-through behavior.
`SKIP_SWAP` Skip swap space for reads and writes.
`SYNC_COMMIT` Synchronous commit.

### Method Summary

Methods
`static GridClientCacheFlag` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridClientCacheFlag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientCacheFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SKIP_STORE

    public static final GridClientCacheFlag SKIP_STORE

Skips store, i.e. no read-through and no write-through behavior.

#### SKIP_SWAP

    public static final GridClientCacheFlag SKIP_SWAP

Skip swap space for reads and writes.

#### SYNC_COMMIT

    public static final GridClientCacheFlag SYNC_COMMIT

Synchronous commit.

#### INVALIDATE

    public static final GridClientCacheFlag INVALIDATE

Switches a cache projection to work in `'invalidation'` mode. Instead of updating remote entries with new values, small invalidation messages will be sent to set the values to `null`.

#### KEEP_PORTABLES

    public static final GridClientCacheFlag KEEP_PORTABLES

Disable deserialization of portable objects on get operations. If set and portable marshaller is used, `GridClientData.get(Object)` and `GridClientData.getAll(Collection)` methods will return instances of `org.gridgain.grid.portables.PortableObject` class instead of user objects. Use this flag if you don't have corresponding class on your client of if you want to get access to some individual fields, but do not want to fully deserialize the object.

### Method Detail

#### values

    public static GridClientCacheFlag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientCacheFlag c : GridClientCacheFlag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientCacheFlag valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    public static GridClientCacheFlag fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015